From: Michael Fladischer <FladischerMichael@fladi.at>
Date: Fri, 26 Jan 2024 22:47:10 +0000
Subject: Use local objects.inv in intersphinx mapping.

---
 docs/conf.py | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

diff --git a/docs/conf.py b/docs/conf.py
index f07d439..4a3e4a0 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -10,6 +10,8 @@
 # add these directories to sys.path here. If the directory is relative to the
 # documentation root, use os.path.abspath to make it absolute, like shown here.
 
+import os
+import sys
 import sphinx_rtd_theme
 
 
@@ -53,7 +55,19 @@ autodoc_member_order = 'bysource'
 autosummary_generate = True
 
 # Intersphinx settings
-intersphinx_mapping = {'python': ('https://docs.python.org/3', None)}
+def check_object_path(key, url, path):
+    if os.path.isfile(path):
+        return {key: (url, path)}
+    return {}
+
+intersphinx_mapping = {}
+intersphinx_mapping.update(
+    check_object_path(
+        'python',
+        f'https://docs.python.org/{sys.version_info.major}.{sys.version_info.minor}',
+        f'/usr/share/doc/python{sys.version_info.major}.{sys.version_info.minor}/html/objects.inv'
+    )
+)
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']
